/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __DYNPTR_SUCCESS_SKEL_H__
#define __DYNPTR_SUCCESS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct dynptr_success {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *ringbuf;
		struct bpf_map *array_map;
		struct bpf_map *rodata;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_read_write;
		struct bpf_program *test_data_slice;
		struct bpf_program *test_ringbuf;
	} progs;
	struct {
		struct bpf_link *test_read_write;
		struct bpf_link *test_data_slice;
		struct bpf_link *test_ringbuf;
	} links;
	struct dynptr_success__bss {
		int pid;
		int err;
		int val;
	} *bss;

#ifdef __cplusplus
	static inline struct dynptr_success *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct dynptr_success *open_and_load();
	static inline int load(struct dynptr_success *skel);
	static inline int attach(struct dynptr_success *skel);
	static inline void detach(struct dynptr_success *skel);
	static inline void destroy(struct dynptr_success *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
dynptr_success__destroy(struct dynptr_success *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
dynptr_success__create_skeleton(struct dynptr_success *obj);

static inline struct dynptr_success *
dynptr_success__open_opts(const struct bpf_object_open_opts *opts)
{
	struct dynptr_success *obj;
	int err;

	obj = (struct dynptr_success *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = dynptr_success__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	dynptr_success__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct dynptr_success *
dynptr_success__open(void)
{
	return dynptr_success__open_opts(NULL);
}

static inline int
dynptr_success__load(struct dynptr_success *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct dynptr_success *
dynptr_success__open_and_load(void)
{
	struct dynptr_success *obj;
	int err;

	obj = dynptr_success__open();
	if (!obj)
		return NULL;
	err = dynptr_success__load(obj);
	if (err) {
		dynptr_success__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
dynptr_success__attach(struct dynptr_success *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
dynptr_success__detach(struct dynptr_success *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *dynptr_success__elf_bytes(size_t *sz);

static inline int
dynptr_success__create_skeleton(struct dynptr_success *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "dynptr_success";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "ringbuf";
	s->maps[0].map = &obj->maps.ringbuf;

	s->maps[1].name = "array_map";
	s->maps[1].map = &obj->maps.array_map;

	s->maps[2].name = "dynptr_s.rodata";
	s->maps[2].map = &obj->maps.rodata;

	s->maps[3].name = "dynptr_s.bss";
	s->maps[3].map = &obj->maps.bss;
	s->maps[3].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_read_write";
	s->progs[0].prog = &obj->progs.test_read_write;
	s->progs[0].link = &obj->links.test_read_write;

	s->progs[1].name = "test_data_slice";
	s->progs[1].prog = &obj->progs.test_data_slice;
	s->progs[1].link = &obj->links.test_data_slice;

	s->progs[2].name = "test_ringbuf";
	s->progs[2].prog = &obj->progs.test_ringbuf;
	s->progs[2].link = &obj->links.test_ringbuf;

	s->data = (void *)dynptr_success__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *dynptr_success__elf_bytes(size_t *sz)
{
	*sz = 7928;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\xb8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\
\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\
\0\x64\x79\x6e\x70\x74\x72\x5f\x73\x75\x63\x63\x65\x73\x73\x2e\x63\0\x4c\x42\
\x42\x30\x5f\x38\0\x4c\x42\x42\x30\x5f\x33\0\x4c\x42\x42\x30\x5f\x35\0\x4c\x42\
\x42\x30\x5f\x34\0\x4c\x42\x42\x30\x5f\x37\0\x4c\x42\x42\x31\x5f\x38\0\x4c\x42\
\x42\x31\x5f\x37\0\x4c\x42\x42\x32\x5f\x36\0\x4c\x42\x42\x32\x5f\x34\0\x72\x69\
\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x4c\x42\x42\x32\x5f\
\x35\0\x4c\x42\x42\x33\x5f\x32\0\x4c\x42\x42\x33\x5f\x33\0\x74\x65\x73\x74\x5f\
\x72\x65\x61\x64\x5f\x77\x72\x69\x74\x65\0\x70\x69\x64\0\x72\x69\x6e\x67\x62\
\x75\x66\0\x65\x72\x72\0\x74\x65\x73\x74\x5f\x64\x61\x74\x61\x5f\x73\x6c\x69\
\x63\x65\0\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\0\x74\x65\x73\x74\x5f\x72\x69\
\x6e\x67\x62\x75\x66\0\x76\x61\x6c\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x74\x70\x2f\x73\x79\x73\x63\x61\
\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\
\x6c\x65\x65\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x52\x04\0\xff\xf1\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\0\0\0\x04\0\0\0\0\0\0\
\x02\x98\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x04\0\0\0\0\0\0\x01\xf0\0\0\0\0\0\0\0\
\0\0\0\0\x71\0\0\0\x04\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\0\0\0\0\x78\0\0\0\x04\
\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\x7f\0\0\0\x04\0\0\0\0\0\0\x02\x78\0\0\
\0\0\0\0\0\0\0\0\0\x86\0\0\0\x04\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\x8d\0\
\0\0\x04\0\0\0\0\0\0\x04\xe8\0\0\0\0\0\0\0\0\0\0\0\x94\0\0\0\x04\0\0\0\0\0\0\
\x06\x90\0\0\0\0\0\0\0\0\0\0\0\x9b\0\0\0\x04\0\0\0\0\0\0\x06\x68\0\0\0\0\0\0\0\
\0\0\0\0\xa2\x02\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\0\0\0\xb3\0\0\0\x04\
\0\0\0\0\0\0\x06\x70\0\0\0\0\0\0\0\0\0\0\0\xba\0\0\0\x03\0\0\0\0\0\0\0\x58\0\0\
\0\0\0\0\0\0\0\0\0\xc1\0\0\0\x03\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\0\0\0\0\xc8\
\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xa8\0\0\0\xd8\x11\0\0\x07\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xdc\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\xe4\x11\0\0\x07\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\0\xe8\x12\0\
\0\x04\0\0\0\0\0\0\x02\xa8\0\0\0\0\0\0\x02\x68\0\0\0\xf8\x11\0\0\x08\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x20\0\0\x01\x02\x12\0\0\x04\0\0\0\0\0\0\x05\x10\0\0\0\0\
\0\0\x01\x90\0\0\x01\x0f\x11\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\
\x01\x13\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xbf\x61\0\0\0\0\0\0\xbf\
\x12\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x20\x85\0\0\0\0\0\0\xcb\
\x55\0\0\x05\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x02\
\x63\x12\0\0\0\0\0\0\x05\0\0\x03\0\0\0\0\x61\x10\0\0\0\0\0\0\x0f\x16\0\0\0\0\0\
\0\x63\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\
\0\0\0\0\x6c\x64\x21\x21\x7b\xa1\xff\xd0\0\0\0\0\x18\x10\0\0\x20\x77\x6f\x72\0\
\0\0\0\x65\x72\x65\x2c\x7b\xa1\xff\xc8\0\0\0\0\x18\x10\0\0\x6f\x20\x74\x68\0\0\
\0\0\x68\x65\x6c\x6c\x7b\xa1\xff\xc0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\xa1\xff\
\xf8\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\x7b\xa1\xff\xe8\0\0\0\0\x7b\xa1\xff\xe0\0\
\0\0\0\x7b\xa1\xff\xd8\0\0\0\0\x7b\xa1\xff\xb8\0\0\0\0\x7b\xa1\xff\xb0\0\0\0\0\
\x7b\xa1\xff\xa8\0\0\0\0\x7b\xa1\xff\xa0\0\0\0\0\x7b\xa1\xff\x98\0\0\0\0\x7b\
\xa1\xff\x90\0\0\0\0\x7b\xa1\xff\x88\0\0\0\0\x7b\xa1\xff\x80\0\0\0\0\x85\0\0\0\
\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\
\0\0\0\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\x5d\x01\0\x34\0\0\0\0\xb7\
\x70\0\0\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\x70\x18\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x40\xb7\x30\0\0\0\0\0\0\xbf\x46\0\0\0\
\0\0\0\x85\0\0\0\0\0\0\xc6\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xc0\xbf\
\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\x40\xb7\x50\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\xca\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x60\0\0\0\0\0\0\
\xbf\x10\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\x77\x10\0\0\0\0\0\x20\x55\x10\0\x08\
\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\x80\xbf\x3a\0\0\0\0\0\0\
\x07\x30\0\0\xff\xff\xff\x70\xb7\x20\0\0\0\0\0\x40\xb7\x40\0\0\0\0\0\0\xb7\x50\
\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc9\x63\x60\0\0\0\0\0\0\x05\0\0\x02\0\0\0\0\x07\
\x70\0\0\0\0\0\x01\x15\x70\0\x0d\0\0\0\x40\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\
\xff\xff\x80\x0f\x17\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\
\xc0\x0f\x27\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x1d\x12\xff\
\xf5\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x01\x63\x12\
\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\x70\xb7\x20\0\0\0\0\0\
\0\x85\0\0\0\0\0\0\xc8\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\
\x63\xa1\xff\xfc\0\0\0\0\xb7\x10\0\0\0\0\0\xeb\x63\xa1\xff\xf8\0\0\0\0\x85\0\0\
\0\0\0\0\x0e\x77\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\
\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\x5d\x01\0\x3f\0\0\0\0\
\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xfc\xbf\x3a\0\0\0\0\0\0\x07\x30\0\
\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x26\0\0\0\0\0\0\xb7\
\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x02\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\
\x26\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xb7\x70\0\0\0\0\0\x01\x15\0\0\x2d\0\0\0\0\
\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\xff\xff\xff\xe8\xbf\x10\0\0\0\0\0\0\xb7\x20\0\
\0\0\0\0\x04\xb7\x30\0\0\0\0\0\0\xbf\x46\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc5\xbf\
\x16\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x05\xb7\x30\0\0\0\0\0\x01\x85\0\0\0\0\0\0\
\xcb\xb7\x70\0\0\0\0\0\x02\x55\0\0\x20\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\
\xff\xff\xff\xe8\xb7\x20\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x05\x85\0\0\0\0\0\0\xcb\
\xb7\x70\0\0\0\0\0\x03\x55\0\0\x19\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\
\xff\xff\xe8\xb7\x70\0\0\0\0\0\x04\xb7\x20\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x04\
\x85\0\0\0\0\0\0\xcb\xbf\x60\0\0\0\0\0\0\x15\x60\0\x11\0\0\0\0\xb7\x10\0\0\0\0\
\x03\xe7\x63\x61\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\
\xb7\x20\0\0\0\0\0\x04\xbf\x36\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x18\x10\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x63\x10\0\0\0\0\0\0\x67\0\0\0\0\0\0\x20\x77\0\0\0\0\0\0\
\x20\x55\0\0\x07\0\0\0\0\xb7\x70\0\0\0\0\0\x05\x61\x16\0\0\0\0\0\0\x61\x2a\xff\
\xf8\0\0\0\0\x1d\x21\0\x03\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x17\
\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x77\0\0\0\
\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x10\0\0\
\0\0\0\x20\xc7\x10\0\0\0\0\0\x20\x5d\x01\0\x28\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x64\x63\x12\0\0\0\0\0\0\xbf\x4a\0\0\0\0\0\0\x07\
\x40\0\0\xff\xff\xff\xf0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\
\0\x85\0\0\0\0\0\0\xc6\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x70\0\0\0\0\0\0\
\xb7\x80\0\0\0\0\0\x01\x67\0\0\0\0\0\0\x20\x77\0\0\0\0\0\0\x20\x55\0\0\x12\0\0\
\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf0\xb7\x20\0\0\0\0\0\0\xb7\
\x30\0\0\0\0\0\x20\x85\0\0\0\0\0\0\xcb\xbf\x60\0\0\0\0\0\0\x15\x60\0\x0b\0\0\0\
\0\xb7\x10\0\0\0\0\0\x0a\x63\x61\0\0\0\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\
\xff\xff\xff\xf0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\
\0\0\0\0\0\xb5\xb7\x80\0\0\0\0\0\x02\x61\x16\0\0\0\0\0\0\x15\x10\0\x01\0\0\0\
\x37\x63\x78\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf0\xb7\
\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc8\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\
\x50\x4c\0\x68\x65\x6c\x6c\x6f\x20\x74\x68\x65\x72\x65\x2c\x20\x77\x6f\x72\x6c\
\x64\x21\x21\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x14\0\
\0\0\x01\0\0\0\0\0\0\0\xc8\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\x01\x10\0\0\0\x13\0\
\0\0\x01\0\0\0\0\0\0\x01\x78\0\0\0\x14\0\0\0\x01\0\0\0\0\0\0\x02\x58\0\0\0\x14\
\0\0\0\x01\0\0\0\0\0\0\x02\xd8\0\0\0\x12\0\0\0\x01\0\0\0\0\0\0\x03\x28\0\0\0\
\x16\0\0\0\x01\0\0\0\0\0\0\x03\x50\0\0\0\x16\0\0\0\x01\0\0\0\0\0\0\x04\x98\0\0\
\0\x14\0\0\0\x01\0\0\0\0\0\0\x04\xe8\0\0\0\x14\0\0\0\x01\0\0\0\0\0\0\x05\x20\0\
\0\0\x12\0\0\0\x01\0\0\0\0\0\0\x05\x50\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\x05\x80\
\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\x05\xa0\0\0\0\x14\0\0\0\x01\0\0\0\0\0\0\x06\
\x30\0\0\0\x02\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x02\xa4\0\0\x02\
\xa4\0\0\x07\x24\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\
\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x1b\0\0\0\x05\x01\
\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\x02\0\0\0\x04\0\0\x10\0\0\0\0\0\x04\0\0\x02\0\0\0\x10\0\0\0\x19\0\0\0\
\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\x0e\0\0\0\0\0\0\x07\0\0\0\
\x01\0\0\0\0\x02\0\0\0\0\0\0\x0a\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\
\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0e\0\0\0\x32\x08\0\0\0\0\0\0\x0f\0\0\
\0\x38\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x19\0\
\0\0\x09\0\0\0\0\0\0\0\x1e\0\0\0\x0b\0\0\0\x40\0\0\0\x45\0\0\0\x0d\0\0\0\x80\0\
\0\0\x49\0\0\0\x0d\0\0\0\xc0\0\0\0\x4f\x0e\0\0\0\0\0\0\x10\0\0\0\x01\0\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x59\0\0\0\x12\0\0\0\x5d\
\x0c\0\0\x01\0\0\0\x13\0\0\0\x6d\x0c\0\0\x01\0\0\0\x13\0\0\0\x7d\x0c\0\0\x01\0\
\0\0\x13\0\0\0\0\x0d\0\0\x02\0\0\0\x02\0\0\0\x8a\0\0\0\x0e\0\0\0\x90\0\0\0\x12\
\0\0\0\x95\x0c\0\0\0\0\0\0\x17\0\0\0\xa6\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x04\0\0\0\x04\0\0\0\xab\x0e\0\0\0\0\0\0\
\x1a\0\0\0\x01\0\0\0\xb4\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\0\xb8\x0e\0\0\0\0\0\
\0\x02\0\0\0\x01\0\0\0\xbc\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x06\xe3\x0f\0\0\
\x01\0\0\0\x04\0\0\0\x1b\0\0\0\0\0\0\0\x04\0\0\x06\xeb\x0f\0\0\0\0\0\0\x40\0\0\
\x06\xf3\x0f\0\0\x03\0\0\0\x0c\0\0\0\x1c\0\0\0\0\0\0\0\x04\0\0\0\x1d\0\0\0\x04\
\0\0\0\x04\0\0\0\x1e\0\0\0\x08\0\0\0\x04\0\0\x06\xf8\x0f\0\0\x02\0\0\0\x30\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x11\0\0\0\x10\0\0\0\x20\0\x69\x6e\x74\0\x5f\x5f\
\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\
\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x72\x69\x6e\x67\x62\
\x75\x66\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\
\0\x63\x74\x78\0\x74\x65\x73\x74\x5f\x72\x65\x61\x64\x5f\x77\x72\x69\x74\x65\0\
\x74\x65\x73\x74\x5f\x64\x61\x74\x61\x5f\x73\x6c\x69\x63\x65\0\x74\x65\x73\x74\
\x5f\x72\x69\x6e\x67\x62\x75\x66\0\x69\x6e\x64\x65\x78\0\x64\x61\x74\x61\0\x72\
\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x63\x68\x61\x72\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\x69\x64\0\x65\x72\x72\0\x76\x61\x6c\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x33\x32\
\x35\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x33\x32\x35\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x64\x79\x6e\x70\x74\x72\x5f\x73\x75\
\x63\x63\x65\x73\x73\x2e\x63\0\x73\x74\x61\x74\x69\x63\x20\x69\x6e\x74\x20\x72\
\x69\x6e\x67\x62\x75\x66\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x5f\x5f\x75\
\x33\x32\x20\x69\x6e\x64\x65\x78\x2c\x20\x76\x6f\x69\x64\x20\x2a\x64\x61\x74\
\x61\x29\0\x09\x73\x61\x6d\x70\x6c\x65\x20\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\
\x70\x74\x72\x5f\x64\x61\x74\x61\x28\x70\x74\x72\x2c\x20\x30\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x2a\x73\x61\x6d\x70\x6c\x65\x29\x29\x3b\0\x09\x69\x66\x20\
\x28\x21\x73\x61\x6d\x70\x6c\x65\x29\0\x09\x09\x65\x72\x72\x20\x3d\x20\x32\x3b\
\0\x09\x09\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x70\x69\x64\x20\x2b\x3d\x20\x69\x6e\
\x64\x65\x78\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x74\x20\
\x74\x65\x73\x74\x5f\x72\x65\x61\x64\x5f\x77\x72\x69\x74\x65\x28\x76\x6f\x69\
\x64\x20\x2a\x63\x74\x78\x29\0\x09\x63\x68\x61\x72\x20\x77\x72\x69\x74\x65\x5f\
\x64\x61\x74\x61\x5b\x36\x34\x5d\x20\x3d\x20\x22\x68\x65\x6c\x6c\x6f\x20\x74\
\x68\x65\x72\x65\x2c\x20\x77\x6f\x72\x6c\x64\x21\x21\x22\x3b\0\x09\x63\x68\x61\
\x72\x20\x72\x65\x61\x64\x5f\x64\x61\x74\x61\x5b\x36\x34\x5d\x20\x3d\x20\x7b\
\x7d\x2c\x20\x62\x75\x66\x5b\x36\x34\x5d\x20\x3d\x20\x7b\x7d\x3b\0\x09\x69\x66\
\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\
\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x20\x21\x3d\x20\
\x70\x69\x64\x29\0\x09\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x72\x65\
\x73\x65\x72\x76\x65\x5f\x64\x79\x6e\x70\x74\x72\x28\x26\x72\x69\x6e\x67\x62\
\x75\x66\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x77\x72\x69\x74\x65\x5f\x64\x61\
\x74\x61\x29\x2c\x20\x30\x2c\x20\x26\x70\x74\x72\x29\x3b\0\x09\x65\x72\x72\x20\
\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x77\x72\x69\x74\x65\x28\
\x26\x70\x74\x72\x2c\x20\x30\x2c\x20\x77\x72\x69\x74\x65\x5f\x64\x61\x74\x61\
\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x77\x72\x69\x74\x65\x5f\x64\x61\x74\x61\
\x29\x2c\x20\x30\x29\x3b\0\x09\x65\x72\x72\x20\x3d\x20\x65\x72\x72\x20\x3f\x3a\
\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x72\x65\x61\x64\x28\x72\x65\
\x61\x64\x5f\x64\x61\x74\x61\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x72\x65\x61\
\x64\x5f\x64\x61\x74\x61\x29\x2c\x20\x26\x70\x74\x72\x2c\x20\x30\x2c\x20\x30\
\x29\x3b\0\x09\x66\x6f\x72\x20\x28\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x72\x65\x61\x64\x5f\x64\x61\x74\x61\x29\x3b\x20\
\x69\x2b\x2b\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\x72\x65\x61\x64\x5f\x64\x61\
\x74\x61\x5b\x69\x5d\x20\x21\x3d\x20\x77\x72\x69\x74\x65\x5f\x64\x61\x74\x61\
\x5b\x69\x5d\x29\x20\x7b\0\x09\x09\x09\x65\x72\x72\x20\x3d\x20\x31\x3b\0\x09\
\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x64\x69\x73\x63\x61\x72\x64\
\x5f\x64\x79\x6e\x70\x74\x72\x28\x26\x70\x74\x72\x2c\x20\x30\x29\x3b\0\x7d\0\
\x69\x6e\x74\x20\x74\x65\x73\x74\x5f\x64\x61\x74\x61\x5f\x73\x6c\x69\x63\x65\
\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x5f\x5f\x75\x33\x32\x20\x6b\
\x65\x79\x20\x3d\x20\x30\x2c\x20\x76\x61\x6c\x20\x3d\x20\x32\x33\x35\x2c\x20\
\x2a\x6d\x61\x70\x5f\x76\x61\x6c\x3b\0\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\
\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\x79\x5f\x6d\
\x61\x70\x2c\x20\x26\x6b\x65\x79\x2c\x20\x26\x76\x61\x6c\x2c\x20\x30\x29\x3b\0\
\x09\x6d\x61\x70\x5f\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\
\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\x79\x5f\
\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x6d\x61\
\x70\x5f\x76\x61\x6c\x29\x20\x7b\0\x09\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\
\x5f\x66\x72\x6f\x6d\x5f\x6d\x65\x6d\x28\x6d\x61\x70\x5f\x76\x61\x6c\x2c\x20\
\x6d\x61\x70\x5f\x76\x61\x6c\x5f\x73\x69\x7a\x65\x2c\x20\x30\x2c\x20\x26\x70\
\x74\x72\x29\x3b\0\x09\x64\x61\x74\x61\x20\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\
\x70\x74\x72\x5f\x64\x61\x74\x61\x28\x26\x70\x74\x72\x2c\x20\x6d\x61\x70\x5f\
\x76\x61\x6c\x5f\x73\x69\x7a\x65\x20\x2b\x20\x31\x2c\x20\x31\x29\x3b\0\x09\x69\
\x66\x20\x28\x64\x61\x74\x61\x29\x20\x7b\0\x09\x64\x61\x74\x61\x20\x3d\x20\x62\
\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x64\x61\x74\x61\x28\x26\x70\x74\x72\
\x2c\x20\x30\x2c\x20\x6d\x61\x70\x5f\x76\x61\x6c\x5f\x73\x69\x7a\x65\x20\x2b\
\x20\x31\x29\x3b\0\x09\x64\x61\x74\x61\x20\x3d\x20\x62\x70\x66\x5f\x64\x79\x6e\
\x70\x74\x72\x5f\x64\x61\x74\x61\x28\x26\x70\x74\x72\x2c\x20\x30\x2c\x20\x73\
\x69\x7a\x65\x6f\x66\x28\x5f\x5f\x75\x33\x32\x29\x29\x3b\0\x09\x69\x66\x20\x28\
\x21\x64\x61\x74\x61\x29\x20\x7b\0\x09\x2a\x28\x5f\x5f\x75\x33\x32\x20\x2a\x29\
\x64\x61\x74\x61\x20\x3d\x20\x39\x39\x39\x3b\0\x09\x65\x72\x72\x20\x3d\x20\x62\
\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x5f\x6b\x65\x72\x6e\x65\
\x6c\x28\x26\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\x6c\x29\
\x2c\x20\x64\x61\x74\x61\x29\x3b\0\x09\x69\x66\x20\x28\x65\x72\x72\x29\0\x09\
\x69\x66\x20\x28\x76\x61\x6c\x20\x21\x3d\x20\x2a\x28\x69\x6e\x74\x20\x2a\x29\
\x64\x61\x74\x61\x29\0\x09\x76\x61\x6c\x20\x3d\x20\x31\x30\x30\x3b\0\x09\x65\
\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x72\x65\
\x73\x65\x72\x76\x65\x5f\x64\x79\x6e\x70\x74\x72\x28\x26\x72\x69\x6e\x67\x62\
\x75\x66\x2c\x20\x76\x61\x6c\x2c\x20\x30\x2c\x20\x26\x70\x74\x72\x29\x3b\0\x09\
\x73\x61\x6d\x70\x6c\x65\x20\x3d\x20\x65\x72\x72\x20\x3f\x20\x4e\x55\x4c\x4c\
\x20\x3a\x20\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\x5f\x64\x61\x74\x61\x28\
\x26\x70\x74\x72\x2c\x20\x30\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\x73\x61\
\x6d\x70\x6c\x65\x29\x29\x3b\0\x09\x69\x66\x20\x28\x21\x73\x61\x6d\x70\x6c\x65\
\x29\x20\x7b\0\x09\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x70\x69\x64\x20\x3d\x20\x31\
\x30\x3b\0\x09\x62\x70\x66\x5f\x6c\x6f\x6f\x70\x28\x31\x30\x2c\x20\x72\x69\x6e\
\x67\x62\x75\x66\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x2c\x20\x26\x70\x74\x72\
\x2c\x20\x30\x29\x3b\0\x09\x69\x66\x20\x28\x73\x61\x6d\x70\x6c\x65\x2d\x3e\x70\
\x69\x64\x20\x21\x3d\x20\x35\x35\x29\0\x64\x6f\x6e\x65\x3a\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\
\x73\0\x2e\x74\x65\x78\x74\0\x74\x70\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\
\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\x04\xf4\0\0\x05\x28\0\
\0\0\0\0\0\0\x08\0\0\x06\xfe\0\0\0\x01\0\0\0\0\0\0\0\x18\0\0\x07\x04\0\0\0\x03\
\0\0\0\0\0\0\0\x14\0\0\x02\xa8\0\0\0\x15\0\0\x05\x10\0\0\0\x16\0\0\0\x10\0\0\
\x06\xfe\0\0\0\x06\0\0\0\0\0\0\0\xc0\0\0\x01\x3a\0\x01\xdc\0\0\0\0\x08\0\0\0\
\xc0\0\0\x01\x6f\0\x01\xf4\x0b\0\0\0\x28\0\0\0\xc0\0\0\x01\xa3\0\x01\xf8\x06\0\
\0\0\x30\0\0\0\xc0\0\0\x01\xb1\0\x01\xfc\x07\0\0\0\x58\0\0\0\xc0\0\0\x01\xbc\0\
\x02\x04\x0f\0\0\0\x70\0\0\0\xc0\0\0\x01\xd4\0\x02\x0c\x02\0\0\x07\x04\0\0\0\
\x48\0\0\0\0\0\0\0\xc0\0\0\x01\xdf\0\0\x88\0\0\0\0\x10\0\0\0\xc0\0\0\x01\xfe\0\
\0\x90\x07\0\0\0\x78\0\0\0\xc0\0\0\x02\x2d\0\0\x94\x07\0\0\0\xb8\0\0\0\xc0\0\0\
\x02\x55\0\0\xa4\x06\0\0\0\xc0\0\0\0\xc0\0\0\x02\x55\0\0\xa4\x21\0\0\0\xc8\0\0\
\0\xc0\0\0\x02\x55\0\0\xa4\x2a\0\0\0\xf0\0\0\0\xc0\0\0\x02\x55\0\0\xa4\x06\0\0\
\x01\x08\0\0\0\xc0\0\0\x02\x83\0\0\xb0\x02\0\0\x01\x50\0\0\0\xc0\0\0\x02\xc7\0\
\0\xbc\x08\0\0\x01\x78\0\0\0\xc0\0\0\x02\xc7\0\0\xbc\x06\0\0\x01\x90\0\0\0\xc0\
\0\0\x02\xc7\0\0\xbc\x08\0\0\x01\xa8\0\0\0\xc0\0\0\x03\x0c\0\0\xc8\x08\0\0\x01\
\xb8\0\0\0\xc0\0\0\x03\x0c\0\0\xc8\x0f\0\0\x01\xf0\0\0\0\xc0\0\0\x03\x0c\0\0\
\xc8\x06\0\0\x02\0\0\0\0\xc0\0\0\x03\x55\0\0\xd4\x26\0\0\x02\x08\0\0\0\xc0\0\0\
\x03\x55\0\0\xd4\x02\0\0\x02\x18\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x02\x20\0\0\0\
\xc0\0\0\x03\x80\0\0\xd8\x07\0\0\x02\x30\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x02\x38\
\0\0\0\xc0\0\0\x03\x80\0\0\xd8\x17\0\0\x02\x48\0\0\0\xc0\0\0\x03\x80\0\0\xd8\
\x07\0\0\x02\x50\0\0\0\xc0\0\0\x03\x80\0\0\xd8\x07\0\0\x02\x58\0\0\0\xc0\0\0\
\x03\xa7\0\0\xdc\x08\0\0\x02\x80\0\0\0\xc0\0\0\x03\xb3\0\0\xf0\x02\0\0\x02\x98\
\0\0\0\xc0\0\0\x03\xd9\0\0\xf8\x01\0\0\x02\xa8\0\0\0\xc0\0\0\x03\xdb\0\x01\x04\
\0\0\0\x02\xb0\0\0\0\xc0\0\0\x03\xfa\0\x01\x0c\x08\0\0\x02\xc0\0\0\0\xc0\0\0\
\x03\xfa\0\x01\x0c\x11\0\0\x02\xc8\0\0\0\xc0\0\0\x02\x55\0\x01\x28\x06\0\0\x02\
\xd0\0\0\0\xc0\0\0\x02\x55\0\x01\x28\x21\0\0\x02\xd8\0\0\0\xc0\0\0\x02\x55\0\
\x01\x28\x2a\0\0\x03\0\0\0\0\xc0\0\0\x02\x55\0\x01\x28\x06\0\0\x03\x10\0\0\0\
\xc0\0\0\0\0\0\0\0\0\0\0\x03\x28\0\0\0\xc0\0\0\x04\x1f\0\x01\x34\x02\0\0\x03\
\x50\0\0\0\xc0\0\0\x04\x50\0\x01\x3c\x0c\0\0\x03\x78\0\0\0\xc0\0\0\x04\x82\0\
\x01\x40\x06\0\0\x03\x88\0\0\0\xc0\0\0\x04\x93\0\x01\x54\x02\0\0\x03\xb8\0\0\0\
\xc0\0\0\x04\xc9\0\x01\x60\x09\0\0\x03\xe0\0\0\0\xc0\0\0\x04\xfd\0\x01\x64\x06\
\0\0\x03\xf0\0\0\0\xc0\0\0\x05\x0a\0\x01\x7c\x09\0\0\x04\x18\0\0\0\xc0\0\0\x04\
\xfd\0\x01\x80\x06\0\0\x04\x28\0\0\0\xc0\0\0\x05\x3e\0\x01\x94\x09\0\0\x04\x58\
\0\0\0\xc0\0\0\x05\x6f\0\x01\x98\x06\0\0\x04\x68\0\0\0\xc0\0\0\x05\x7d\0\x01\
\xac\x11\0\0\x04\x80\0\0\0\xc0\0\0\x05\x94\0\x01\xb4\x08\0\0\x04\x98\0\0\0\xc0\
\0\0\x05\x94\0\x01\xb4\x06\0\0\x04\xb0\0\0\0\xc0\0\0\x05\x94\0\x01\xb4\x08\0\0\
\x04\xc0\0\0\0\xc0\0\0\x05\xcb\0\x01\xb8\x06\0\0\x04\xd0\0\0\0\xc0\0\0\x05\xd5\
\0\x01\xc4\x0d\0\0\x04\xd8\0\0\0\xc0\0\0\x05\xd5\0\x01\xc4\x06\0\0\x04\xe0\0\0\
\0\xc0\0\0\x05\xd5\0\x01\xc4\x06\0\0\x04\xe8\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x05\
\0\0\0\0\xc0\0\0\x03\xd9\0\x01\xd4\x01\0\0\x05\x10\0\0\0\xc0\0\0\x02\x55\0\x02\
\x30\x06\0\0\x05\x18\0\0\0\xc0\0\0\x02\x55\0\x02\x30\x21\0\0\x05\x20\0\0\0\xc0\
\0\0\x02\x55\0\x02\x30\x2a\0\0\x05\x48\0\0\0\xc0\0\0\x02\x55\0\x02\x30\x06\0\0\
\x05\x50\0\0\0\xc0\0\0\x05\xef\0\x02\x3c\x06\0\0\x05\x80\0\0\0\xc0\0\0\x05\xfb\
\0\x02\x48\x08\0\0\x05\xa0\0\0\0\xc0\0\0\x05\xfb\0\x02\x48\x06\0\0\x05\xc0\0\0\
\0\xc0\0\0\x05\xfb\0\x02\x48\x08\0\0\x05\xd0\0\0\0\xc0\0\0\x06\x36\0\x02\x50\
\x0b\0\0\x05\xe0\0\0\0\xc0\0\0\x06\x36\0\x02\x50\x18\0\0\x06\x08\0\0\0\xc0\0\0\
\x06\x78\0\x02\x54\x06\0\0\x06\x18\0\0\0\xc0\0\0\x06\x88\0\x02\x68\x0e\0\0\x06\
\x30\0\0\0\xc0\0\0\x06\x9b\0\x02\x74\x02\0\0\x06\x58\0\0\0\xc0\0\0\x06\xc5\0\
\x02\x7c\x0e\0\0\x06\x60\0\0\0\xc0\0\0\x06\xc5\0\x02\x7c\x06\0\0\x06\x68\0\0\0\
\xc0\0\0\0\0\0\0\0\0\0\0\x06\x78\0\0\0\xc0\0\0\x06\xdd\0\x02\x88\x01\0\0\x06\
\x80\0\0\0\xc0\0\0\x03\xb3\0\x02\x8c\x02\0\0\x06\x90\0\0\0\xc0\0\0\x03\xd9\0\
\x02\x94\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\x58\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x98\0\0\0\0\0\0\x02\x70\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x08\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x04\x88\0\0\0\0\0\0\x06\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\x37\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0b\x28\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\x3f\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x2c\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\
\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x6c\0\0\0\0\0\0\0\x0c\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x70\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x1c\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xa0\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x03\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x26\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0b\xb0\0\0\0\0\0\0\0\xe0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\x01\x4a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0c\x90\0\0\0\0\0\0\x09\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\x01\x4f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x16\x70\0\0\0\0\0\0\x05\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct dynptr_success *dynptr_success::open(const struct bpf_object_open_opts *opts) { return dynptr_success__open_opts(opts); }
struct dynptr_success *dynptr_success::open_and_load() { return dynptr_success__open_and_load(); }
int dynptr_success::load(struct dynptr_success *skel) { return dynptr_success__load(skel); }
int dynptr_success::attach(struct dynptr_success *skel) { return dynptr_success__attach(skel); }
void dynptr_success::detach(struct dynptr_success *skel) { dynptr_success__detach(skel); }
void dynptr_success::destroy(struct dynptr_success *skel) { dynptr_success__destroy(skel); }
const void *dynptr_success::elf_bytes(size_t *sz) { return dynptr_success__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
dynptr_success__assert(struct dynptr_success *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->err) == 4, "unexpected size of 'err'");
	_Static_assert(sizeof(s->bss->val) == 4, "unexpected size of 'val'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __DYNPTR_SUCCESS_SKEL_H__ */
